Catalog
archive_product
Write grantDestructiveIdempotent
Archive a product. Until it is restored it leaves product lists, cannot change, its deployments cannot be added, changed or removed, and vault pulls for it are refused. Archiving an archived product changes nothing. Returns the product. Needs write access.
Inputs
productstringRequiredThe product's slug, such as storefront.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "archive_product", "arguments": { "product": "storefront" } }}POST/agent/v1/products:archive
curl -X POST https://api.qa.clankership.net/agent/v1/products:archive \ -H "Authorization: Bearer $CLANKER_AGENT_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "product": "storefront" }'